Displaces an image's colormap

- « Imagick::current

- Imagick::decipherImage »

- PHP Manual
- Imagick
- Displaces an image's colormap

# Imagick::cycleColormapImage

(PECL imagick 2, PECL imagick 3)

Imagick::cycleColormapImage — Displaces an image's colormap

### Description

public Imagick::cycleColormapImage(int `$displace`): bool

Displaces an image's colormap by a given number of positions. If you cycle the colormap a number of times you can produce a psychedelic effect.

### Parameters

`displace`

  The amount to displace the colormap.

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.